@import '../../../../../assets/styles/variables';
@import '../../../../../assets/styles/lists';

.team-members-container {
  display: flex;
  flex-direction: column;

  .minions-filter {
    display: inline-flex;

    .form-group:first-child {
      padding-right: 1em;
    }
  }

  .members-grid {
    $box-min-size: 17%;
    display: flex;
    margin: auto;
    width: 80%;

    .villains-grid {
      width: $box-min-size * 2;

      .box-grid__item {
        flex: 1;
      }
    }

    .minions-grid {
      .box-grid__item {
        flex: 0 0 $box-min-size;
      }
    }

    .box-item__subtitle {
      bottom: 0;
    }
  }
}

@media (max-width: 768px) {
  .team-members-container {
    .members-grid {
      flex-direction: column;
      width: 100%;

      .villains-grid,
      .minions-grid {
        flex: 1;
      }
    }
  }
}
